Component({
    properties: {
        list: {
            type: Array
        },
        userrole: {
            type: String
        }
    },
    data: {},
    lifetimes: {
        attached: function () {
            getApp().globalData.Language.getLanguagePackage(this)
            this.setData({
                auth: JSON.stringify(wx.getStorageSync('auth')),
                userMsg: JSON.stringify(wx.getStorageSync('userMsg')),
                site: JSON.stringify(wx.getStorageSync('siteP')),
                templetList: JSON.stringify(wx.getStorageSync('templetList')),
                languagecode: wx.getStorageSync('languagecode'),
            })
        }
    },
})